package uniklu.games.spaceship;

import javax.imageio.ImageIO;
import java.awt.*;
import java.awt.geom.Rectangle2D;
import java.awt.image.BufferedImage;
import java.io.IOException;

public class DesertSimulation {
    private static final int numberOfLayers = 1;
    private BufferedImage texture;
    private int position, tx, ty;

    public DesertSimulation() {
        initField();
    }

    private void initField() {
        try {
            texture = ImageIO.read(getClass().getResource("gfx/desert.jpg"));
            tx = texture.getWidth();
            ty = texture.getHeight();
        } catch (IOException e) {
            e.printStackTrace();  //To change body of catch statement use File | Settings | File Templates.
        }
        position = 0;
    }

    public void drawSprite(Graphics2D g2, Rectangle2D dest) {
        int dx = (int) dest.getWidth();
        int dy = (int) dest.getHeight();
        g2.drawImage(texture, 0, 0, dx, position,
                0, ty-position, dx, ty,
                null);
        g2.drawImage(texture, 0, position, dx, ty,
                0,0,dx, ty-position, null);
        g2.drawImage(texture, 0, position, dx, ty,
                0,0,dx, ty-position, null);
        // painting the layers:
//        for (int i = 0; i < stars.length; i++) {
//            g2.drawImage(stars[i],
//                    0, position[i], dx, dy,     // destination
//                    0, 0, dx, dy - position[i], // source
//                    null);
//            g2.drawImage(stars[i],
//                    0, 0, dx, position[i],       // destination
//                    0, dy - position[i], dx, dy, // source
//                    null);
//            // moving the layers:
//
//        }
        position += 2;
        position = position % ty;
    }
}