package uniklu.games.spaceship;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.awt.*;
import java.awt.geom.Point2D;
import java.io.IOException;

/**
 * Created by IntelliJ IDEA.
 * User: install
 * Date: 07.04.2008
 * Time: 17:10:57
 * To change this template use File | Settings | File Templates.
 */
public class ExplosionSprite {
    private static BufferedImage[] animationSequence;
    private int animationState = 0;
    private int x,y;

    public static void initAnimation() {
        try {
            BufferedImage strip = ImageIO.read(ExplosionSprite.class.getResource("gfx/explosion-02.png"));
            animationSequence = SpriteUtils.createSprites(strip, 9);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public void drawSprite(Graphics2D g2) {
        if (animationState < animationSequence.length) {
            g2.drawImage(animationSequence[animationState],
                x-animationSequence[0].getWidth()/2,
                y-animationSequence[0].getHeight()/2,null);
            animationState++;
        }
    }

    public void setLocation(int x, int y) {
        this.x = x;
        this.y = y;
    }

    public boolean isOver() {
        return animationState >= animationSequence.length;
    }
}
