package uniklu.games.spaceship;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.awt.*;
import java.io.IOException;

/**
 * Created by IntelliJ IDEA.
 * User: install
 * Date: 07.04.2008
 * Time: 17:11:04
 * To change this template use File | Settings | File Templates.
 */
public class RocketSprite {
    private static BufferedImage[] animationSequence;
    private int animationState = 0;
    // gives the index in sequence at given state:
    private int x, y;
    double movement = 0.5, acceleration=0.6;
    private boolean flying = true;

    public static void initAnimation() {
        try {
            BufferedImage strip = ImageIO.read(ExplosionSprite.class.getResource("gfx/rocket.png"));
            animationSequence = SpriteUtils.createSprites(strip, 2);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }

    public void drawSprite(Graphics2D g2) {
        animationState++;
        movement+=acceleration;
        y -= movement;
        animationState = animationState%animationSequence.length;
        g2.drawImage(animationSequence[animationState],
                x-animationSequence[0].getWidth()/2,
                y-animationSequence[0].getHeight()/2,null);
        if (y<0) {
              flying = false;
        }
    }

    public void setPosition(int x, int y) {
        this.x = x;
        this.y = y;
    }

    public boolean isFlying() {
        return flying;
    }

    public ExplosionSprite explode() {
        ExplosionSprite explosion = new ExplosionSprite();
        explosion.setLocation(x,y);
        return explosion;
    }
}
