package uniklu.games.spaceship;

import javax.imageio.ImageIO;
import java.awt.*;
import java.awt.geom.Rectangle2D;
import java.awt.image.BufferedImage;
import java.io.IOException;

public class StarfieldSimulation {
    private static final int numberOfLayers = 3;
    private BufferedImage[] stars;
    private int[] position;

    public StarfieldSimulation() {
        initField();
    }

    private void initField() {
        stars = new BufferedImage[numberOfLayers];
        position = new int[numberOfLayers];
        for (int i = 0; i < stars.length; i++) {
            try {
                stars[i] = ImageIO.read(
                        StarfieldSimulation.class.getResource("gfx/starfield-layer" + (i + 1) + ".png"));
                position[i] = 0;
            } catch (IOException e) {
                e.printStackTrace();
            }
        }
    }

    public void drawSprite(Graphics2D g2, Rectangle2D dest) {
        int dx = (int) dest.getWidth();
        int dy = (int) dest.getHeight();
        // painting the layers:
        for (int i = 0; i < stars.length; i++) {
            g2.drawImage(stars[i],
                    0, position[i], dx, dy,     // destination
                    0, 0, dx, dy - position[i], // source
                    null);
            g2.drawImage(stars[i],
                    0, 0, dx, position[i],       // destination
                    0, dy - position[i], dx, dy, // source
                    null);
            // moving the layers:
            position[i] += (i + 1) * 2;
            position[i] = position[i] % dy;
        }
    }
}
